
/*
 * Portable Object Compiler (c) 1997,98.  All Rights Reserved.
 * $Id: Block.h,v 1.15 1998/04/29 18:33:29 stes Exp $
 */

#ifndef __BLOCK_H__
#define __BLOCK_H__

#ifndef __OBJECT_INCLUDED__
#define __OBJECT_INCLUDED__
#include "Object.h"		/* Stepstone Object.h assumes #import */
#endif

#ifndef EXPORT
#define EXPORT			/* empty */
#endif

/* allows"manual" construction of Blocks, ie. without compiler support */
extern id EXPORT newBlock(int n, IMP fn, void *data);

@interface Block : Object
{
  int nVars;
  IMP fn;			/* it's not _really_ an IMP, it's just a func pointer */
  void *data;
}

+ errorHandler;
+ errorHandler:aHandler;
- ifError:aHandler;
- value:anObject ifError:aHandler;

- value;
- atExit;
- value:anObject;
- value:firstObject value:secondObject;

- repeatTimes:(int)n;
@end

#endif				/* __BLOCK_H__ */
