
/*
 * Portable Object Compiler (c) 1998.  All Rights Reserved.
 * $Id: intarray.h,v 1.8 1998/04/29 21:44:47 stes Exp $
 */

#ifndef __INTARRAY_H__
#define __INTARRAY_H__

#include "array.h"

typedef struct intary {
  int count;
  int capacity;
  int *ptr;
} *intary_t;

@interface IntArray : Array
{
  struct intary value;
}

+ new;
+ new:(unsigned)n;
+ with:(int)nArgs,...;
- copy;
- deepCopy;
- free;

- (unsigned) size;
- (int) intAt:(unsigned)anOffset;
- (int) intAt:(unsigned)anOffset put:(int)anInt;

- printOn:(IOD)aFile;

#ifdef __PORTABLE_OBJC__
- fileOutOn:aFiler;
- fileInFrom:aFiler;
#endif				/* __PORTABLE_OBJC__ */

@end

#endif				/* __INTARRAY_H__ */
