
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: rectangl.h,v 1.7 1998/04/29 21:44:48 stes Exp $
 */

#ifndef __OBJRECT_H__
#define __OBJRECT_H__

#include "objc.h"

@interface Rectangle : Object
{
  id origin;
  id corner;
}

+ new;
- origin:p corner:q;
+ origin:p corner:q;
- free;

- (int) left;
- (int) right;
- (int) top;
- (int) bottom;
- (int) width;
- (int) height;
- origin;
- corner;

- (BOOL) contains:aPoint;
- (unsigned) hash;
- (BOOL) isEqual:aRectangle;

- moveBy:aPoint;

- printOn:(IOD)aFile;
@end

#endif				/* __OBJRECT_H__ */
