
/*
 * Portable Object Compiler (c) 1997,98.  All Rights Reserved.
 * $Id: sequence.h,v 1.8 1998/04/29 21:44:48 stes Exp $
 */

#ifndef __OBJSEQ_H__
#define __OBJSEQ_H__

#include "objc.h"

/* the name of this class in ICpak101 is IPSequence */
#define IPSequence Sequence

@interface Sequence : Object
{
  id carrier;
}

- copy;
- free;

- (unsigned) size;

- next;
- peek;
- previous;
- first;
- last;

- printOn:(IOD)aFile;

#ifdef __PORTABLE_OBJC__

- do:aBlock;
#endif				/* __PORTABLE_OBJC__ */


@end

#endif				/* __OBJSEQ_H__ */
