
/*
 * Portable Object Compiler (c) 1998.  All Rights Reserved.
 * $Id: stack.h,v 1.6 1998/04/29 21:44:48 stes Exp $
 */

#ifndef __OBJSTACK_H__
#define __OBJSTACK_H__

#include "cltn.h"

@interface Stack : Cltn
{
  id contents;
}

+ new;
+ new:(unsigned)n;
- copy;
- deepCopy;
- emptyYourself;
- freeContents;
- free;

- (unsigned) depth;
- (BOOL) isEmpty;
- eachElement;
- topElement;

- push:anObject;
- pop;
- swap;
- at:(unsigned )anOffset;
- removeAt:(unsigned )anOffset;

- printOn:(IOD)aFile;
@end

#endif				/* __OBJSTACK_H__ */
