
/*
 * Portable Object Compiler (c) 1998.  All Rights Reserved.
 * $Id: atdefs.m,v 1.2 1998/10/06 15:23:43 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"
#include "atdefs.h"
#include "output.h"
#include "options.h"
#include "linetag.h"
#include "classdef.h"
#include "identif.h"
#include <assert.h>

@implementation AtDefs

- classname:aNode
{
  classname = aNode;
  return self;
}

- free
{
  return nil;
}

- genOn:stream
{
  id interface;

  if ((interface = [ClassDefinition findInterface:[classname string]])) {
    [interface ivarnodesOn:stream];
  } else {
    fatalError("unknown class in @defs()");
  }

  return self;
}

@end

