
/*
 * Portable Object Compiler (c) 1998.  All Rights Reserved.
 * $Id: declinit.m,v 1.5 1998/10/06 15:23:43 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"
#include "declinit.h"
#include "ordcltn.h"
#include "set.h"
#include "options.h"
#include "output.h"
#include "linetag.h"
#include "ocstring.h"
#include <assert.h>

@implementation DeclaratorInitializer
- grepIvars:aSet initvars:iv addItype:bNode to:bSet
{
  id c = [OrdCltn new];
  id d = [subnodes at:0];

  [d grepIvars:c addItype:bNode to:bSet];
  [iv addAll:c];
  [aSet addAll:c];
  return self;
}

@end

