
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: dotxpr.m,v 1.11 1998/10/06 15:23:44 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"
#include "dotxpr.h"
#include "ordcltn.h"
#include "output.h"
#include <assert.h>

@implementation DotExpression
- genOn:stream
{
  assert([subnodes size] == 3);

  [[subnodes at:0] genOn:stream];
  /* used both for arrow -> and dot . */
  [[subnodes at:1] genOn:stream];

  /* don't want something like foo->x translate to foo->self->x
   * if 'x' is a instance variable */
  [[subnodes at:2] genfieldOn:stream];

  return self;
}

@end

