
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: funcdef.h,v 1.13 1998/10/06 15:23:44 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __FUNCDEF_H__
#define __FUNCDEF_H__

#include "node.h"

@interface FunctionDefinition : Node
{
  id name;
  id nameIdent;			/* same as name, as ident, for linetag */
  id specifiers;
  id declarators;
  id extDeclarators;
  id statements;
}

- specifiers:aSpec declarators:aDecl extDeclarators:extDecl statements:aStmt;
+ specifiers:aSpec declarators:aDecl extDeclarators:extDecl statements:aStmt;
- mainOn:stream;
- genOn:stream;
@end

#endif				/* __FUNCDEF_H__ */

