
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: keywdecl.h,v 1.11 1998/10/06 15:23:44 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __KEYWORDDECLARATOR_H__
#define __KEYWORDDECLARATOR_H__

#include "node.h"

@interface KeyWordDeclarator : Node
{
  id name;
  id argumentType;
  id argument;
}

- free;
- setName:aName;
- idName;
- setArgument:aName;
- argument;
- argumentType:aName;
- argumentType;
- forMethod:aMethod;
@end

#endif				/* __KEYWORDDECLARATOR_H__ */

