
/*
 * Portable Object Compiler (c) 1997,98.  All Rights Reserved.
 * $Id: dictnary.h,v 1.8 1998/04/29 21:44:47 stes Exp $
 */

#ifndef __OBJDIC_H__
#define __OBJDIC_H__

#include "objc.h"

@interface Dictionary : Object
{
  id associations;
}

+ new;
- copy;
- deepCopy;
- emptyYourself;
- freeContents;
- free;

- (unsigned) size;
- (BOOL) isEmpty;
- (BOOL) includesKey:aKey;

- (unsigned) hash;
- (BOOL) isEqual:aDic;

- atKey:aKey;
- atKey:aKey ifAbsent:exceptionBlock;
- atKeySTR:(STR)strKey;
- atKey:aKey put:anObject;
- atKeySTR:(STR)strKey put:anObject;
- eachKey;
- eachValue;

#ifdef __PORTABLE_OBJC__

- keysDo:aBlock;
#endif				/* __PORTABLE_OBJC__ */


- printOn:(IOD)aFile;
@end

#endif				/* __OBJDIC_H__ */
