
/* Portable Object Compiler (c) 1997,98.  All Rights Reserved. */
/* $Id: objc1.h,v 1.3 1998/05/13 06:44:58 stes Exp $ */

/* define YYSTYPE for our YACC grammar as "id"
 * Most yacc implementations allow this in the .y file
 * but bison requires YYSTYPE to be defined for its y.tab.h
 */

#define YYSTYPE id

#include "objc.h"

void outputCode(id nodes);
void outputNode(id aNode);
void processNode(id aNode);
char *tokenName(int token);

/* whether '{' is the beginning of a Block */
extern BOOL okBlock;

