
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: datadef.m,v 1.11 1998/10/06 15:23:43 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"
#include "datadef.h"
#include <assert.h>

@implementation DataDefinition
- specifiers:aSpec declarators:aDecl semiColon:aSemi
{
  specifiers = aSpec;
  [self add:aSpec];
  declarators = aDecl;
  [self add:aDecl];
  semi = aSemi;
  [self add:aSemi];
  return self;
}

+ specifiers:aSpec declarators:aDecl semiColon:aSemi
{
  id newObj = [super new];

  [newObj specifiers:aSpec declarators:aDecl semiColon:aSemi];
  return newObj;
}

- deftypename
{
  if ([specifiers containsTypedef])
    [declarators deftypename];
  return self;
}

@end

