
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: linetag.h,v 1.17 1998/10/06 15:23:44 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __LINETAG_H__
#define __LINETAG_H__

#ifndef __OBJECT_INCLUDED__
#define __OBJECT_INCLUDED__
#include "Object.h"
#include <stdio.h>
#endif

@interface LineTag : Object
{
  int lineNo;
  STR fileName;
  id directive;
  id next;
}

- next;
- setNext:aTag;
- fileName:(STR)fName lineNo:(int)no directive:s;
+ new;
+ str:(STR)aDirective;
+ currentTag;
- (int) lineNo;
- (STR) fileName;
+ (int) curlineno;
+ (STR) curfilename;
+ outputOn:stream;
+ forceTag;
- directiveOn:stream;
- outputOn:stream;
+ (BOOL) areSuccessors:a:b;
- (BOOL) comesBefore:b;
+ outputOn:stream until:offset;
+ finishOn:stream;
@end

#endif				/* __LINETAG_H__ */

