
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: methdecl.h,v 1.13 1998/10/06 15:23:44 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __METHODDECLARATOR_H__
#define __METHODDECLARATOR_H__

#include "node.h"

@interface MethodDeclarator : Node
{
  id method;
  BOOL isFactory;
  id resultType;
  id selector;			/* Identifier or KeyWordDeclarator */
  id ellipsis;			/* optional */
}


- free;
- isFactory:(BOOL)flag;
- (BOOL) isFactory;
- resType:aNode;
- setSelector:aNode;
- setEllipsis:aToken;
- method:minfo;

- processMethod;
- method;
- grepLocals:aCompound;

- commentOn:stream;
- outputOn:stream;
- genOn:stream;
- grepScope:aMethod;
@end

#endif				/* __METHODDECLARATOR_H__ */

