
/*
 * Portable Object Compiler (c) 1997.  All Rights Reserved.
 * $Id: oclib.h,v 1.14 1998/10/06 15:23:45 stes Exp $
 */

/*
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __oclib__
#define __oclib__

#include "config.h"
#include "assert.h"


#include "objpak.h"

#include "linetag.h"
#include "options.h"
#include "output.h"
#include "node.h"
#include "xprnode.h"
#include "dotxpr.h"
#include "token.h"
#include "module.h"
#include "methinfo.h"
#include "identif.h"
#include "keywdecl.h"
#include "classdef.h"
#include "methimpl.h"
#include "methdecl.h"
#include "datadef.h"
#include "funcdef.h"
#include "compstat.h"
#include "msgxpr.h"
#include "blockxpr.h"
#include "atdefs.h"
#include "atselxpr.h"
#include "funccall.h"
#include "decls.h"
#include "return.h"
#include "assign.h"
#include "declinit.h"

#endif				/* __oclib__ */

